Summary:	libGringotts, a strongbox library
Name:		libgringotts
Version:	1.1.2
Release:	1
Copyright:	GPL
Group:		System Environment/Libraries
Source:		%{name}-%{version}.tar.bz2
URL:		http://devel.pluto.linux.it/projects/libGringotts/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	libmcrypt, mhash, zlib, bzip2-libs, textutils
BuildPrereq:libmcrypt-devel, mhash-devel, zlib-devel, bzip2-devel, textutils
Prefix:		/usr
Vendor:		Germano Rizzo <mano@pluto.linux.it>
Packager:	Germano Rizzo <mano@pluto.linux.it>

%description
libGringotts is a thread-safe C library that allows the programmer
to save data in a particular file format. The data are compressed
and encrypted with a strong encryption algorithm, and saved to the
disk in a secure way. The library gives control over every algorithm
involved in the process, and provides additional security-related
utility functions.
It is very easy to use, and designed to be very light for the system.

%package devel
Summary:	Headers and static libraries for gringotts-lib
Group:		Development/Libraries
Requires:	libgringotts = 1.1.2

%description devel
These are the files needed to develop applications with libGringotts

%prep
%setup
%build

CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS $GRG_COMPILE_FLAGS --prefix=%{prefix}

make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
echo
echo -----------------------------------------------------
echo   md5sum of %{prefix}/lib/libgringotts.so
echo
md5sum %{prefix}/lib/libgringotts.so|(read A B; echo $A)
echo
echo use this value to check library integrity at any time
echo -----------------------------------------------------
echo

%post devel
echo
echo -----------------------------------------------------
echo   md5sum of %{prefix}/include/libgringotts.h
echo
md5sum %{prefix}/include/libgringotts.h|(read A B; echo $A)
echo
echo use this value to check library integrity at any time
echo -----------------------------------------------------
echo

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS NEWS TODO COPYING docs/manual.htm
%attr( 0644, root, root ) %prefix/lib/*.so*

%files devel
%attr( 0644, root, root ) %prefix/lib/*.a
%attr( 0644, root, root ) %prefix/lib/*.la
%attr( 0644, root, root ) %prefix/include/*
%attr( 0644, root, root ) %prefix/lib/pkgconfig/*

%changelog
* Thu Oct 03 2002 Mano <mano@pluto.linux.it>
- first gen. of this specfile
